/* crypto/request.c */

#include <openssl/bio.h>
#include <openssl/err.h>
#include <openssl/rsa.h>
#include <openssl/evp.h>
#include <openssl/x509.h>
#include <openssl/x509v3.h>
#include <openssl/objects.h>
#include <openssl/pem.h>
#include <openssl/asn1.h>
#include <openssl/txt_db.h>

#include <ocsp_data.h>
#include <ocsp_req_st.h>

#undef BSIZE
#define BSIZE 256


/* Reverse ASN1 funcions */
OCSP_CERTID *d2i_OCSP_CERTID( OCSP_CERTID **a, unsigned char **pp, long length)
        {
        M_ASN1_D2I_vars(a,OCSP_CERTID *,OCSP_CERTID_new);

        M_ASN1_D2I_Init();
        M_ASN1_D2I_start_sequence();
        M_ASN1_D2I_get(ret->hashAlgorithm, d2i_X509_ALGOR);
        M_ASN1_D2I_get(ret->issuerNameHash, d2i_ASN1_OCTET_STRING);
        M_ASN1_D2I_get(ret->issuerKeyHash, d2i_ASN1_OCTET_STRING);
        M_ASN1_D2I_get(ret->serialNumber, d2i_ASN1_INTEGER);
	/*
        M_ASN1_D2I_Finish(a,OCSP_CERTID_free, ASN1_F_D2I_OCSP_CERTID);
	*/
err:
        }

